// VOLT_DRP.DCL

vd : dialog {
   label = "Voltage Drop Calculator Ver. 1.2b";
   : row {
spacer;
   : edit_box {
          label = "&Description";
          key = "descr";
          edit_width = 75;
          edit_limit = 75;
      } 
     }    //row      
   : row {
   : boxed_column {
   fixed_width = true;
   alignment = left;
   label = "Particulars";
      : edit_box {
          label = "Total &Number of Devices";
          key = "tot_n";
          edit_width = 1;
          edit_limit = 2;
      }           
      : edit_box {
          label = "Rated System &Voltage, AC/DC";
          key = "sys_v";
          edit_width = 3;
          edit_limit = 4;
      }           
      : popup_list {
          label = "Wire Size, AW&G/kcmll";
          key = "wire_s";
          edit_width = 10; 
      }
   : row {
      : toggle {
          label = "Wire &Temperature     ";
          key = "w_t";
      }
      : edit_box {
          key = "w_temp";
          edit_width = 3;
          edit_limit = 3;
      }   
      : popup_list {
          key = "w_temp_l";
          edit_width = 4; 
      }
     }  //row
    }  //b_column
   : boxed_column {
   fixed_width = true;
   alignment = left;
   label = "Circuit";
      : radio_column {
      : radio_button {
          label = "2-Wire, AC/DC ";
          key = "2_w";
          value = "1";
          mnemonic = "2";
      }
      : radio_button {
          label = "3-Wire, AC";
          key = "3_w";
          value = "0";
          mnemonic = "3";
      }
      : radio_button {
          label = "3-Wire, 4-AC";
          key = "4_w";
          value = "0";
          mnemonic = "4";
       }
      }   //r_column
     }   //b_column 
   : boxed_column {
   fixed_width = true;
   alignment = left;
   label = "Wire";
      : radio_column {
      : radio_button {
          label = "Copper, &Uncoated ";
          key = "c_un";
          value = "0";
      }
      : radio_button {
          label = "Copper, Coa&ted";
          key = "c_co";
          value = "1";
      }
      : radio_button {
          label = "&Aluminum";
          key = "alum";
          value = "0";
       }
      }   //r_column
     }   //b_column 
    }   //row
   : boxed_row {
   label = "Segment Data";
       : column {
       : text {
          label = "Segment";}
    spacer;
       : text_part {
          label = " Distance from";}
       : text_part {
          label = " previous device, Ft";}
    spacer;
       : text_part {
          label = " Current per";}
       : text_part {
          label = " device, AMPS";}
     }
       : column {
       : text {
          label = "1st ";
          alignment = right;
          key = "1";
      }
    spacer;
       : edit_box {
          key = "d1_d";
          edit_width = 2; 
          edit_limit = 3;
          alignment = left;
      }
    spacer;
       : edit_box {
          key = "d1_c";
          edit_width = 4; 
          edit_limit = 5;
      }
 }
       : column {
       : text {
          label = "2nd "; 
          alignment = right;
          key = "2";
      }
    spacer;
       : edit_box {
          key = "d2_d";
          edit_width = 2; 
          edit_limit = 3;
          alignment = left;
      }
    spacer;
       : edit_box {
          key = "d2_c";
          edit_width = 4; 
          edit_limit = 5;
      }
 }
       : column {
       : text {
          label = "3rd ";
          alignment = right;
          key = "3";
      }
    spacer;
       : edit_box {
          key = "d3_d";
          edit_width = 2; 
          edit_limit = 3;
          alignment = left;
      }
    spacer;
       : edit_box {
          key = "d3_c";
          edit_width = 4; 
          edit_limit = 5;
      }
 }
       : column {
       : text {
          label = "4th ";
          alignment = right;
          key = "4";
      }
    spacer;
       : edit_box {
          key = "d4_d";
          edit_width = 2; 
          edit_limit = 3;
          alignment = left;
      }
    spacer;
       : edit_box {
          key = "d4_c";
          edit_width = 4; 
          edit_limit = 5;
      }
 }
       : column {
       : text {
          label = "5th "; 
          alignment = right;
          key = "5";
      }
    spacer;
       : edit_box {
          key = "d5_d";
          edit_width = 2; 
          edit_limit = 3;
          alignment = left;
      }
    spacer;
       : edit_box {
          key = "d5_c";
          edit_width = 4; 
          edit_limit = 5;
      }
 }
       : column {
       : text {
          label = "6th ";  
          alignment = right;
          key = "6";
      }
    spacer;
       : edit_box {
          key = "d6_d";
          edit_width = 2; 
          edit_limit = 3;
          alignment = left;
      }
    spacer;
       : edit_box {
          key = "d6_c";
          edit_width = 4; 
          edit_limit = 5;
      }
 }
       : column {
       : text {
          label = "7th "; 
          alignment = right;
          key = "7";
      }
    spacer;
       : edit_box {
          key = "d7_d";
          edit_width = 2; 
          edit_limit = 3;
          alignment = left;
      }
    spacer;
       : edit_box {
          key = "d7_c";
          edit_width = 4; 
          edit_limit = 5;
      }
 }
       : column {
       : text {
          label = "8th ";
          alignment = right;
          key = "8";
      }
    spacer;
       : edit_box {
          key = "d8_d";
          edit_width = 2; 
          edit_limit = 3;
          alignment = left;
      }
    spacer;
       : edit_box {
          key = "d8_c";
          edit_width = 4; 
          edit_limit = 5;
      }
   }       // column
}        // b-row
    spacer;
   : row {
   fixed_width = true;
   alignment = centered;
       : button {
          label = "&Open";
          key = "open";
          width = 9;
      }
          : spacer {
          width = 2;}
       : button {
          label = "&Calculate";
          key = "calcs";
          width = 9;
      }
       : spacer {
          width = 2;}
       : button {
          label = " &More...";
          key = "more";
          width = 10;
          is_enabled = false;
      }
       : spacer {
          width = 2;}
       : button {
          label = "A&bout";
          key = "about";
          width = 9;
      }
       : spacer {
          width = 2;}
       : button {
          label = "Cancel";
          width = 10;
          is_cancel = true;
      }
    }
  }

// "More Devices" dialog box
vd_more : dialog {
   label = "More Devices";
    spacer;
   : boxed_row {
   label = "Segment Data";
       : column {
       : text {
          label = "Segment";}
    spacer;
       : text_part {
          label = " Distance";}
       : text_part {
          label = " from previous";}
       : text_part {
          label = " device, Ft";}
    spacer;
       : text_part {
          label = " Current per";}
       : text_part {
          label = " device, AMPS";}
     }
       : column {
       : text {
          label = "9th ";
          alignment = right;
          key = "9";
      }
       : spacer {
         height = 1;} 
       : edit_box {
          key = "d9_d";
          edit_width = 2; 
          edit_limit = 3;
          alignment = left;
      }
    spacer;
       : edit_box {
          key = "d9_c";
          edit_width = 4; 
          edit_limit = 5;
      }
 }
       : column {
       : text {
          label = "10th "; 
          alignment = right;
          key = "10";
      }

       : spacer {
          height = 1;}
       : edit_box {
          key = "d10_d";
          edit_width = 2; 
          edit_limit = 3;
          alignment = left;
      }
    spacer;
       : edit_box {
          key = "d10_c";
          edit_width = 4; 
          edit_limit = 5;
      }
 }
       : column {
       : text {
          label = "11th ";
          alignment = right;
          key = "11";
      }
       : spacer {
          height = 1;}
       : edit_box {
          key = "d11_d";
          edit_width = 2; 
          edit_limit = 3;
          alignment = left;
      }
    spacer;
       : edit_box {
          key = "d11_c";
          edit_width = 4; 
          edit_limit = 5;
      }
 }
       : column {
       : text {
          label = "12th ";
          alignment = right;
          key = "12";
      }
       : spacer {
          height = 1;}
       : edit_box {
          key = "d12_d";
          edit_width = 2; 
          edit_limit = 3;
          alignment = left;
      }
    spacer;
       : edit_box {
          key = "d12_c";
          edit_width = 4; 
          edit_limit = 5;
      }
 }
       : column {
       : text {
          label = "13th "; 
          alignment = right;
          key = "13";
      }
       : spacer {
          height = 1;}
       : edit_box {
          key = "d13_d";
          edit_width = 2; 
          edit_limit = 3;
          alignment = left;
      }
    spacer;
       : edit_box {
          key = "d13_c";
          edit_width = 4; 
          edit_limit = 5;
      }
 }
       : column {
       : text {
          label = "14th ";  
          alignment = right;
          key = "14";
      }
       : spacer {
          height = 1;}
       : edit_box {
          key = "d14_d";
          edit_width = 2; 
          edit_limit = 3;
          alignment = left;
      }
    spacer;
       : edit_box {
          key = "d14_c";
          edit_width = 4; 
          edit_limit = 5;
      }
 }
       : column {
       : text {
          label = "15th "; 
          alignment = right;
          key = "15";
      }
       : spacer {
          height = 1;}
       : edit_box {
          key = "d15_d";
          edit_width = 2; 
          edit_limit = 3;
          alignment = left;
      }
    spacer;
       : edit_box {
          key = "d15_c";
          edit_width = 4; 
          edit_limit = 5;
      }
 }
       : column {
       : text {
          label = "16th ";
          alignment = right;
          key = "16";
      }
       : spacer {
          height = 1;}
       : edit_box {
          key = "d16_d";
          edit_width = 2; 
          edit_limit = 3;
          alignment = left;
      }
    spacer;
       : edit_box {
          key = "d16_c";
          edit_width = 4; 
          edit_limit = 5;
      }
   }       // column
}        // b-row
    spacer;
: row {
   fixed_width = true;
   alignment = centered;
   : button {
          label = "OK";
          key = "acpt";
          width = 11;
     }
   : button {
          label = "Cancel";
          width = 11;
          key = "nomore";
          is_cancel = true;
      }
 }      //row
}

//"Voltage Drop Result" dialog box
vd_res : dialog {
   label = "Voltage Drop";
    spacer;
   : row {
   : column {
   fixed_width = true;
     : concatenation {
        : text_part {
          label = "Segment";}}
     : concatenation {
        : text_part {
          label = "Segment length, Ft";}}
     : concatenation {
        : text_part{
          label = "Current per";}}
     : concatenation {
        : text_part {
          label = "device, AMPS";}}
     : concatenation {
        : text_part {
          label = "Current per";}}
     : concatenation {
        : text_part {
          label = "segment, AMPS";}}
     : concatenation {
        : text_part {
          label = "Voltage Drop per";}}
     : concatenation {
        : text_part {
          label = "segment, %";}}
 } //column 1
      spacer;
   : column {
   fixed_width = true;
      : concatenation {
        : text_part {
          key = "seg_n1";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_n2";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_n3";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_n4";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_n5";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_n6";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_n7";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_n8";
          width = 6;}
       }
     : concatenation {
        : text_part {
          alignment = right;
          key = "seg_l1";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_l2";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_l3";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_l4";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_l5";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_l6";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_l7";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_l8";
          width = 6;}
}
     : concatenation {
        : text_part {
         width = 6;}
}
     : concatenation {
        : text_part {
          key = "dev_c1";
          width = 6;}
        spacer;
        : text_part {
          key = "dev_c2";
          width = 6;}
        spacer;
        : text_part {
          key = "dev_c3";
          width = 6;}
        spacer;
        : text_part {
          key = "dev_c4";
          width = 6;}
        spacer;
        : text_part {
          key = "dev_c5";
          width = 6;}
        spacer;
        : text_part {
          key = "dev_c6";
          width = 6;}
        spacer;
        : text_part {
          key = "dev_c7";
          width = 6;}
        spacer;
        : text_part {
          key = "dev_c8";
          width = 6;}
}
     : concatenation {
        : text_part {
          width = 6;}
}
     : concatenation {
        : text_part {
          key = "seg_c1";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_c2";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_c3";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_c4";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_c5";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_c6";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_c7";
          width = 6;}
        spacer;
        : text_part {
          key = "seg_c8";
          width = 6;}
}
     : concatenation {
        : text_part {
          width = 6;}
}
     : concatenation {
        : text_part {
          key = "vd_s1";
          width = 6;}
        spacer;
        : text_part {
          key = "vd_s2";
          width = 6;}
        spacer;
        : text_part {
          key = "vd_s3";
          width = 6;}
        spacer;
        : text_part {
          key = "vd_s4";
          width = 6;}
        spacer;
        : text_part {
          key = "vd_s5";
          width = 6;}
        spacer;
        : text_part {
          key = "vd_s6";
          width = 6;}
        spacer;
        : text_part {
          key = "vd_s7";
          width = 6;}
        spacer;
        : text_part {
          key = "vd_s8";
          width = 6;}
  }
 }  //column 2
}  //row 1
      spacer;
   : row { 
          fixed_width = true;
   : column {
       : concatenation {
        : text_part {
          label = "TOTAL VOLTAGE DROP";}
      spacer;
        : text_part {
          key = "totvd";
          width = 6;}
  }
}  //column
   : column { 
          fixed_width = true;
        : edit_box {
          key = "comm1";
          edit_width = 40;
          edit_limit = 40;
  }
        : edit_box {
          key = "comm2";
          edit_width = 40;
          edit_limit = 40;
   }
        : toggle {
          label = "Save &comment as default";
          key = "scomm";
   }
  }  //column
 }  //row 2
   : row {
   fixed_width = true;
   alignment = centered;
       : button {
          label = "&Save as...";
          key = "save";
          width = 8;
      }
       : spacer {
          width = 2;}
       : button {
          label = "&Draw";
          key = "draw";
          width = 11;
     }
       : spacer {
          width = 2;}
       : button {
          label = "OK";
          key = "back";
          width = 11;
          is_cancel = true;
      }
       : spacer {
          width = 2;}
       : button {
          label = "&More/Back";
          key = "more";
          width = 9;
     }
   }   //row 3
  }
